export default () => {
	const key = '6ZCBZ-I2GC4-BBIUZ-DNZVG-DXJA3-7WBS5'
	const url = 'https://apis.map.qq.com/ws/geocoder/v1/'
	
	return {
		address(address) {
			return uni.request({
				url,
				data: {
					address,
					key
				}
			})
		},
		location(location){
			return uni.request({
				url,
				data: {
					location,
					key
				}
			})
		}
	}
}